<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMealsTable extends Migration {

	public function up()
	{
		Schema::create('meals', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->string('name', 250);
			$table->enum('type', array('1', '2', '3', '4'));
			$table->text('image')->nullable();
			$table->integer('calories');
			$table->double('fats');
			$table->double('Carbohydrates');
			$table->double('Protein');
			$table->double('glycemic');
		});
	}

	public function down()
	{
		Schema::drop('meals');
	}
}